package com.autentia.tutoriales.spring.beanshell;

/**
 * Interfaz a implementar por la clase que realize el calculo de costes de un pedido.
 * @author Carlos García. Autentia.
 * @see http://www.mobiletest.es
 */
public interface CalculadorCoste {
	/**
	 * @param productos Productos sobre el que realizar el cálculo
	 * @return Devuelve el coste de compra de un conjunto de productos
	 */
	public double getPrecio(java.util.List<Producto> productos);
}
